import isArrayLike_default from "./isArrayLike.js";
import _baseKeys_default from "./_baseKeys.js";
import _getTag_default from "./_getTag.js";
import isString_default from "./isString.js";
import _stringSize_default from "./_stringSize.js";
var mapTag = "[object Map]", setTag = "[object Set]";
function size(s) {
	if (s == null) return 0;
	if (isArrayLike_default(s)) return isString_default(s) ? _stringSize_default(s) : s.length;
	var c = _getTag_default(s);
	return c == mapTag || c == setTag ? s.size : _baseKeys_default(s).length;
}
var size_default = size;
export { size_default as default };
